---
title: "Revoke a connection · Connections · COUNT Partner API"
description: "Revokes the provider access token so the connection stops syncing. PATCH /partners/connections/{uuid}/revoke"
canonical: "https://developers.getcount.com/reference/connections/revoke-connection"
source: "https://developers.getcount.com/reference/connections/revoke-connection"
---
[Connections](https://developers.getcount.com/reference/connections) / Revoke a connection

# Revoke a connection

PATCH `/partners/connections/{uuid}/revoke`

Revokes the provider access token so the connection stops syncing.

Does not delete historical accounts or transactions.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=PATCH&path=%2Fpartners%2Fconnections%2F%7Buuid%7D%2Frevoke)

[Workspace Stats](https://developers.getcount.com/reference/workspace-stats) [Transactions](https://developers.getcount.com/reference/transactions) [Chart of Accounts](https://developers.getcount.com/reference/chart-of-accounts)

#### Path parameters

`uuid` uuid required

Connection UUID.

#### Responses

`200` Connection revoked.

`404` Connection not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous GET Get a connection](https://developers.getcount.com/reference/connections/get-connection) [Next POST Create reconnect link](https://developers.getcount.com/reference/connections/create-reconnect-link)

PATCH `https://api.getcount.com/partners/connections/{uuid}/revoke`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'PATCH';
const signingPath = '/connections/3fa85f64-5717-4562-b3fc-2c963f66afa6/revoke';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/connections/3fa85f64-5717-4562-b3fc-2c963f66afa6/revoke`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Connection revoked successfully."
}
```
